using System;

namespace Verseny
{
    class Program
    {
        static void Main(string[] args)
        {
            int n = Convert.ToInt32(Console.ReadLine());
            string value = Console.ReadLine();
            char[] tomb = value.ToCharArray();

            char[] abc = { 'A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O', 'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W', 'X', 'Y', 'Z' };
            int x=0, a, ax = 1;
            double lehet = 1;
            for (int i=0;i<26;i++){
                a=0;
                while(tomb[x]==abc[i] && ax != 0){
                    a++;
                    if(x < n-1){
                        x++;
                    }
                    if(x == n-1){
                        ax = 0;
                    }
                }
                if(a>1){
                    lehet = lehet * a;
                }
                if(a==0){
                    x++;
                    i--;
                }
            }

            Console.WriteLine(lehet);
            Console.ReadKey();
        }
    }
}